echo off
cls
echo .=============== EZhelp installation batch ===============
echo .
if %1()==() goto TELLUSE
if %2()==() goto TELLUSE

IF EXIST %1:\EZHELP.EXE GOTO ASKCONFIRM
echo .    EZhelp files not found on drive %1...
echo .
goto END

:ASKCONFIRM
echo .    This batch will install EZhelp files from
echo .    drive %1 to drive %2, creating the following
echo .    subdirectories:
echo .
echo .       \EZHELP       - EZhelp Reference system
echo .       \EZHELP\SRC   - Sample C program
echo . 
echo .    If you wish to exit without installing,
echo .    press Ctrl-Break now.
echo .
pause

md %2:\ezhelp > NUL
copy %1:\*.* %2:\ezhelp\*.*

:CHECKLIBS
IF EXIST %1:\TCLIB\EZS.LIB GOTO INSTALLLIB
GOTO CHECKSRC

:INSTALLLIB
md %2:\ezhelp\TCLIB > NUL
copy %1:\TCLIB\*.* %2:\ezhelp\TCLIB\*.*

md %2:\ezhelp\src > NUL
copy %1:\src\*.* %2:\ezhelp\src\*.*

:STARTEZREF
%2:
cd\ezhelp
cls
ezhelp ezhelp.txt
echo .=============== Thanks for trying EZhelp! ===============
echo  .
echo  .          Type EX1 or EX2 to see more examples...
echo  .     or type EZSETUP to set default colors & options.
echo  .

goto END

:TELLUSE
echo .    Usage: INSTALL X Y
echo .
echo .           ...where X is the floppy drive letter
echo .              and Y is the destination drive letter
echo .
:END
